> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imagecodecinfo.md).

# ImageCodecInfo

Namespace: **System.Drawing.Imaging**

Assembly: **System.Drawing.Managed** (4.0.0.0)

provides the necessary storage members and methods to retrieve all pertinent information about the available image encoders and decoders.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ImageCodecInfo
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ImageCodecInfo
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/gN3G3VR5GgQngV3jdnfJ) Clsid

[Guid](https://docs.microsoft.com/dotnet/api/system.guid): Gets or sets a [Guid](https://docs.microsoft.com/dotnet/api/system.guid) structure that contains a GUID that identifies a specific codec.

### ![](/files/gN3G3VR5GgQngV3jdnfJ) CodecName

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets a string that contains the name of the codec.

### ![](/files/gN3G3VR5GgQngV3jdnfJ) FilenameExtension

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets string that contains the file name extension(s) used in the codec. The extensions are separated by semicolons.

### ![](/files/gN3G3VR5GgQngV3jdnfJ) FormatDescription

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets a string that describes the codec's file format.

### ![](/files/gN3G3VR5GgQngV3jdnfJ) FormatID

[Guid](https://docs.microsoft.com/dotnet/api/system.guid): Gets or sets a [Guid](https://docs.microsoft.com/dotnet/api/system.guid) structure that contains a GUID that identifies the codec's format.

### ![](/files/gN3G3VR5GgQngV3jdnfJ) MimeType

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets a string that contains the codec's Multipurpose Internet Mail Extensions (MIME) type.

## Methods

### ![](/files/eguYxwyd6jAtQFHRrmJW) GetImageDecoders()

Returns an array of [ImageCodecInfo](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imagecodecinfo.md) objects that contain information about the image decoders built into GDI+.

**Returns:** [ImageCodecInfo\[\]](https://docs.microsoft.com/dotnet/api/system.drawing.imaging.imagecodecinfo). An array of [ImageCodecInfo](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imagecodecinfo.md) objects. Each [ImageCodecInfo](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imagecodecinfo.md) object in the array contains information about one of the built-in image decoders.

### ![](/files/eguYxwyd6jAtQFHRrmJW) GetImageEncoders()

Returns an array of [ImageCodecInfo](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imagecodecinfo.md) objects that contain information about the image encoders built into GDI+.

**Returns:** [ImageCodecInfo\[\]](https://docs.microsoft.com/dotnet/api/system.drawing.imaging.imagecodecinfo). An array of [ImageCodecInfo](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imagecodecinfo.md) objects. Each [ImageCodecInfo](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imagecodecinfo.md) object in the array contains information about one of the built-in image encoders.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imagecodecinfo.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
